DS_DRAW_ELLIPSE(3)

FUNCTION
ds_draw_ellipse - Draw an ellipse into a 2 dimensional Karma array.

SYNOPSIS
#include <karma_ds.h>

flag ds_draw_ellipse

(char *array, unsigned int elem_type, dim_desc *abs_dim_desc, unsigned int abs_stride, dim_desc *ord_dim_desc, unsigned int ord_stride, double centre_abs, double centre_ord, double radius_abs, double radius_ord, double value[2])

DESCRIPTION
Draw an ellipse into a 2 dimensional Karma array.

array
    The start of the array (plane) data.

elem_type
    The type of the element to draw.

abs_dim_desc
    The abscissa dimension descriptor.

abs_stride
    The stride of abscissa co-ordinates in memory (in bytes).

ord_dim_desc
    The ordinate dimension descriptor.

ord_stride
    The stride of ordinate co-ordinates in memory (in bytes).

centre_abs
    The centre of the ellipse in abscissa real-world co-ordinates.

centre_ord
    The centre of the ellipse in ordinate real-world co-ordinates.

radius_abs
    The abscissa radius. This must be greater than 0.0.

radius_ord
    The ordinate radius. This must be greater than 0.0.

value
    The value to write the ellipse into the array.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/